summaryrefslogtreecommitdiff
path: root/gold/testsuite/ifuncmod1.sh
diff options
context:
space:
mode:
Diffstat (limited to 'gold/testsuite/ifuncmod1.sh')
-rwxr-xr-xgold/testsuite/ifuncmod1.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/gold/testsuite/ifuncmod1.sh b/gold/testsuite/ifuncmod1.sh
new file mode 100755
index 00000000000..20da47e9f40
--- /dev/null
+++ b/gold/testsuite/ifuncmod1.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+# ifuncmod1.sh -- check that local IFUNC symbol is grouped with locals.
+
+# Copyright (C) 2016 Free Software Foundation, Inc.
+# Written by Cary Coutant <ccoutant@gmail.com>.
+
+# This file is part of gold.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston,
+# MA 02110-1301, USA.
+
+if grep "Warning:" ifuncmod1.so.stderr
+then exit 1
+fi
+
+exit 0